org.apache.ignite.internal.util.function

## Interface ThrowableFunction<R,T,E extends Exception>

Type Parameters:
  `T` - The type of the input to the function.
  `R` - The type of the result of the function.
  `E` - The exception to be thrown from the body of the function.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ThrowableFunction<R,T,E extends Exception>

Specific interface for transmitting exceptions from lambda to external method without a catch.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `apply(T t)` Applies this function to the given argument.

### Method Detail

#### apply

    R apply(T t)
     throws E extends Exception

Applies this function to the given argument.

Parameters:
  `t` - The function argument.
Returns:
  The function result.
Throws:
  `E` - If failed.
  `E extends Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022